/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 *
 */

package se.gothiaforum.settings.service;

/**
 * The Interface settingsService.
 * 
 * @author simgo3
 * 
 *         Manage the settings for Gothia Forum.
 */

public interface SettingsService {

    /**
     * Sets the setting.
     * 
     * @param data
     *            the data
     * @param columnName
     *            the column name
     * @param companyId
     *            the company id
     * @param groupId
     *            the group id
     */
    void setSetting(String data, String columnName, long companyId, long groupId);

    /**
     * Gets the setting.
     * 
     * @param columnName
     *            the column name
     * @param companyId
     *            the company id
     * @param groupId
     *            the group id
     * @return the setting
     */
    String getSetting(String columnName, long companyId, long groupId);

}
